# PostgreSQL

### Manage access

* Create a dedicated user and give it the super user role as Synece requires a superuser to create a PostgreSQL publication for all tables

### `postgresql.conf`

* Set your `wal_level` to `logical` then restart your PostgreSQL instance

### `pg_hba.conf`

* You may have to create an entry in your pg\_hba.conf file to allow the new user to connect (`host database user synece_given_address auth-method`, [see here](https://www.postgresql.org/docs/current/auth-pg-hba-conf.html#id-1.6.8.8.2))

### Tuning your WAL settings

Please see [PGTune](https://pgtune.leopard.in.ua/)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.synece.com/supported-databases/postgresql.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
